<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title>Quản lý sản phẩm</title>
    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"
    />
    <link
      rel="stylesheet"
      href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
      integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
      crossorigin="anonymous"
    />
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/axios/1.1.3/axios.min.js"
      integrity="sha512-0qU9M9jfqPw6FKkPafM3gy2CBAvUWnYVOfNPDYKVuRTel1PrciTj+a9P3loJB+j0QmN2Y0JYQmkBBS8W+mbezg=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    ></script>
    <link rel="stylesheet" href="./css/index.css" />
  </head>

  <body>
    <div class="container">
      <div id="loading">
        <div class="spinner-border text-warning" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
      <br />
      <!-- Tab panes -->
      <div class="tab-content">
        <!--Danh sách người dùng -->
        <div role="tabpanel" class="tab-pane in active" id="DanhSachSP">
          <div class="row">
            <div class="col-md-8"></div>
          </div>
          <div class="d-flex justify-content-between align-items-center p-3">
            <h5 class="font-weight-bold">Products List</h5>
            <!-- BEGIN BUTTOM THÊM MỚI -->
            <button
              id="btnThemSP"
              class="btn btn-primary position-relative d-flex align-items-center justify-content-between"
              data-toggle="modal"
              data-target="#myModal"
            >
              <i class="fa fa-plus mr-1"></i>

              Add Product
            </button>
            <!-- END BUTTON THÊM MỚI -->
          </div>
          <div class="clear-fix"></div>
          <div class="tblSanPham" id="tblSanPham">
            <!-- BEGIN TABLE NGƯỜI DÙNG -->
            <div class="row">
              <div class="col-sm-12">
                <table
                  class="table data-table mb-0 dataTable no-footer"
                  id="DataTables_Table_0"
                  role="grid"
                  aria-describedby="DataTables_Table_0_info"
                >
                  <thead class="table-color-heading">
                    <tr class="text-light text-center" role="row">
                      <th
                        scope="col"
                        class="sorting text-center"
                        tabindex="0"
                        aria-controls="DataTables_Table_0"
                        rowspan="1"
                        colspan="1"
                        aria-label="
                          Product Name
                      : activate to sort column ascending"
                        style="width: 403.087px"
                      >
                        <label class="text-muted m-0">Product Name</label>
                      </th>
                      <th
                        scope="col"
                        class="sorting sorting_desc"
                        tabindex="0"
                        aria-controls="DataTables_Table_0"
                        rowspan="1"
                        colspan="1"
                        aria-label="
                          Category
                      : activate to sort column ascending"
                        style="width: 103.475px"
                        aria-sort="descending"
                      >
                        <label class="text-muted mb-0">Brand</label>
                      </th>
                      <th
                        scope="col"
                        class="text-right sorting"
                        tabindex="0"
                        aria-controls="DataTables_Table_0"
                        rowspan="1"
                        colspan="1"
                        aria-label="
                          Price
                      : activate to sort column ascending"
                        style="width: 73.8875px"
                      >
                        <label class="text-muted mb-0">Price</label>
                      </th>

                      <th
                        scope="col"
                        class="sorting"
                        tabindex="0"
                        aria-controls="DataTables_Table_0"
                        rowspan="1"
                        colspan="1"
                        aria-label="
                          Inventory
                      : activate to sort column ascending"
                        style="width: 133.087px"
                      >
                        <label class="text-muted mb-0">Desc</label>
                      </th>
                      <th
                        scope="col"
                        class="text-right sorting"
                        tabindex="0"
                        aria-controls="DataTables_Table_0"
                        rowspan="1"
                        colspan="1"
                        aria-label="
                          Action
                      : activate to sort column ascending"
                        style="width: 118.713px"
                      >
                        <span class="text-muted">Action</span>
                      </th>
                    </tr>
                  </thead>
                  <tbody class="text-center" id="tBody">
                    <tr class="white-space-no-wrap odd">
                      <td class="">
                        <div
                          class="active-project-1 d-flex align-items-center mt-0"
                        >
                          <div class="h-avatar is-medium">
                            <img
                              class="avatar rounded"
                              alt="user-icon"
                              src="https://cdn.tgdd.vn/Products/Images/42/114115/iphone-x-64gb-hh-600x600.jpg"
                            />
                          </div>
                          <div class="data-content">
                            <div>
                              <span class="font-weight-bold"
                                >M10 FHD Plus with Active Pen Tablet</span
                              >
                            </div>
                            <p class="m-0 mt-1">(2nd Gen) 10.3 inches</p>
                          </div>
                        </div>
                      </td>
                      <td class="sorting_1">Tablet</td>
                      <td class="text-right">$962.49</td>

                      <td></td>
                      <td>
                        <div
                          class="d-flex justify-content-end align-items-center"
                        >
                          <a
                            style="cursor: pointer"
                            data-toggle="modal"
                            data-target="#myModal"
                          >
                            <svg
                              xmlns="http://www.w3.org/2000/svg"
                              class="text-secondary mx-4"
                              width="20"
                              fill="none"
                              viewBox="0 0 24 24"
                              stroke="currentColor"
                            >
                              <path
                                stroke-linecap="round"
                                stroke-linejoin="round"
                                stroke-width="2"
                                d="M15.232 5.232l3.536 3.536m-2.036-5.036a2.5 2.5 0 113.536 3.536L6.5 21.036H3v-3.572L16.732 3.732z"
                              ></path>
                            </svg>
                          </a>
                          <a
                            class="badge bg-danger"
                            data-toggle="tooltip"
                            data-placement="top"
                            title=""
                            data-original-title="Delete"
                            href="#"
                          >
                            <svg
                              xmlns="http://www.w3.org/2000/svg"
                              width="20"
                              fill="none"
                              viewBox="0 0 24 24"
                              stroke="currentColor"
                            >
                              <path
                                stroke-linecap="round"
                                stroke-linejoin="round"
                                stroke-width="2"
                                d="M19 7l-.867 12.142A2 2 0 0116.138 21H7.862a2 2 0 01-1.995-1.858L5 7m5 4v6m4-6v6m1-10V4a1 1 0 00-1-1h-4a1 1 0 00-1 1v3M4 7h16"
                              ></path>
                            </svg>
                          </a>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                </table>
              </div>
            </div>
            <!-- END TABLE NGƯỜI DÙNG -->
          </div>
          <br />
        </div>
        <!-- Kết thúc danh sách người dùng -->
      </div>

      <!--KetThuc Tabmenu-->

      <!-- The Modal -->
      <div class="modal fade" id="myModal">
        <div class="modal-dialog">
          <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
              <h4 class="modal-title">Modal Heading</h4>
              <button type="button" class="close" data-dismiss="modal">
                &times;
              </button>
            </div>
            <!-- Modal body -->
            <div class="modal-body">
              <form id="inputForm">
                 <div class="form-group">
                  <label>ID</label>
                  <input
                    id="idSP"
                    class="form-control"
                    placeholder="System will generate automatically"
                    disabled
                  />
                  <span id="nameError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Name of Product</label>
                  <input
                    id="TenSP"
                    class="form-control"
                    placeholder="Please enter name"
                  />
                  <span id="nameError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Brand</label>
                  <input
                    id="Brand"
                    class="form-control"
                    placeholder="Please enter Brand "
                  />
                  <span id="brandError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Price</label>
                  <input
                    id="GiaSP"
                    class="form-control"
                    placeholder="Please enter price"
                  />
                  <span id="priceError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Screen</label>
                  <input
                    id="Screen"
                    class="form-control"
                    placeholder="Please enter screen"
                  />
                  <span id="screenError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Back Camera</label>
                  <div class="d-flex justify-content-start position-relative">
                  <input
                    id="backCamera"
                    class="form-control w-50"
                    placeholder="Please enter Back Camera "
                  />
                  <span class="mp">MP</span>
                  </div>
                  <span id="backCamError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Front Camera</label>
                  <div class="d-flex justify-content-start position-relative">
                  <input
                    id="frontCamera"
                    class="form-control w-50 "
                    placeholder="Please enter Front Camera"
                    
                  />
                  <span class="mp">MP</span>
                </div>
                <span id="frontCamError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Image</label>
                  <input
                    id="HinhSP"
                    class="form-control"
                    placeholder="Please enter link Image"
                  />
                  <span id="imgError" class="text-danger pl-2 err">err</span>
                </div>
                <div class="form-group">
                  <label>Description</label>
                  <textarea
                    class="form-control"
                    name=""
                    id="MoTa"
                    cols="30"
                    rows="10"
                    placeholder="Please enter description"
                  >
                 
                </textarea>
                </div>
                <span id="descError" class="text-danger pl-2 err">err</span>
              </form>
            </div>
            <!-- Modal footer -->
            <div class="modal-footer">
              <button
                data-dismiss="modal"
                onclick="updateProduct()"
                class="btn btn-primary"
              >
                Update
              </button>
              <button
                id="addBTN"
                onclick="addProducts()"
                class="btn btn-success"
              >
                Add Product
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div id="container"></div>
    <style>
      #container {
        min-width: 310px;
        max-width: 800px;
        height: 400px;
        margin: 0 auto;
      }
    </style>
    <script
      src="https://code.jquery.com/jquery-3.3.1.min.js"
      integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8="
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
      integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
      integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
      crossorigin="anonymous"
    ></script>
    <!-- aleart -->
    <script src="//cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script type="module" src="./js/index.js"></script>
  </body>
</html>
